Subject: Re: linux-next: manual merge of the watchdog tree with the mfd tree

From: Wim Van Sebroeck <[email-masked]>
Date: Tue, 22 May 2012 18:35:59 +0200

Hi Guenter,

> >> Today's linux-next merge of the watchdog tree got a conflict in
> >> drivers/watchdog/iTCO_wdt.c between commit 887c8ec7219f ("watchdog:
> >> Convert iTCO_wdt driver to mfd model") from the  tree and commit
> >> c3614aa19d3e ("watchdog: iTCO_wdt.c: fix printk format warnings") from
> >> the watchdog tree.
> >>
> >> I fixed it up (see below) and can carry the fix as necessary.
> >
> >Thanks for fixing this up.
> >
> >But I'm a bit surprised: I wasn't Cc'ed about this patch to Convert
> >the iTCO_wdt driver to the mfd model...
> Oh my. Kind of embarrassing to forget one of the maintainers in all 
> the discussions which tree this patch set should go through. Even 
> though I didn't much of the code, my sign-off is there, and I should 
> have made sure that you are on the Cc: list. Sorry for that, and I 
> owe you a beer or two if we ever meet in person.

The maintainer and the writer of the driver: that's at least two beers indeed :-).

> Hope you are ok with the changes - the patch set already missed the 
> last commit window because of the which-tree-to-use issue, and it 
> would be sad to miss another one. And Jean is really waiting for it 
> to go in to be able to push some related patches which need the gpio driver.

I'm OK with it (although this means I can't go ahead yet with a watchdog core
conversion of the iTCO_wdt driver), except for the comile warning that the patch
introduces (as reported by Randy).

The original driver printed addresses as %04lx, this new driver uses %04llx but
doesn't typecast the values correctly. See message from Randy below.
Wether or not %04lx or %04llx is the best to use is off-course another question.
I don't think we have a clear standard yet, but I'm fine with either one of them.

Kind regards,
Wim.
---
Date: Mon, 14 May 2012 13:15:20 -0700
From: Randy Dunlap <[email-masked]>
To: Stephen Rothwell <[email-masked]>
CC: [email-masked], LKML <[email-masked]>, 
 Wim Van Sebroeck <[email-masked]>,
 [email-masked]
Subject: [PATCH -next] wdt: fix iTCO printk format warnings

From: Randy Dunlap <[email-masked]>

Fix printk format warnings:

drivers/watchdog/iTCO_wdt.c:577:3: warning: format '%04llx' expects type 'long long unsigned int', but argument 2 has type 'resource_size_t'
drivers/watchdog/iTCO_wdt.c:594:3: warning: format '%04llx' expects type 'long long unsigned int', but argument 2 has type 'resource_size_t'
drivers/watchdog/iTCO_wdt.c:600:2: warning: format '%04llx' expects type 'long long unsigned int', but argument 4 has type 'resource_size_t'

Signed-off-by: Randy Dunlap <[email-masked]>
Cc:	Wim Van Sebroeck <[email-masked]>
---
 drivers/watchdog/iTCO_wdt.c |    6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

--- linux-next-20120514.orig/drivers/watchdog/iTCO_wdt.c
+++ linux-next-20120514/drivers/watchdog/iTCO_wdt.c
@@ -575,7 +575,7 @@ static int __devinit iTCO_wdt_probe(stru
 	if (!request_region(iTCO_wdt_private.smi_res->start,
 			resource_size(iTCO_wdt_private.smi_res), dev->name)) {
 		pr_err("I/O address 0x%04llx already in use, device disabled\n",
-		       SMI_EN);
+		       (u64)SMI_EN);
 		ret = -EBUSY;
 		goto unmap_gcs;
 	}
@@ -592,13 +592,13 @@ static int __devinit iTCO_wdt_probe(stru
 	if (!request_region(iTCO_wdt_private.tco_res->start,
 			resource_size(iTCO_wdt_private.tco_res), dev->name)) {
 		pr_err("I/O address 0x%04llx already in use, device disabled\n",
-		       TCOBASE);
+		       (u64)TCOBASE);
 		ret = -EBUSY;
 		goto unreg_smi;
 	}
 
 	pr_info("Found a %s TCO device (Version=%d, TCOBASE=0x%04llx)\n",
-		ich_info->name, ich_info->iTCO_version, TCOBASE);
+		ich_info->name, ich_info->iTCO_version, (u64)TCOBASE);
 
 	/* Clear out the (probably old) status */
 	outw(0x0008, TCO1_STS);	/* Clear the Time Out Status bit */